/*
 * Seaplane.h
 *
 *  Created on: 28-mar-2009
 *      Author: bertini
 */

#ifndef SEAPLANE_H_
#define SEAPLANE_H_

#include "Airplane.h"
#include "Boat.h"

class Seaplane: public Airplane, public Boat {
public:
	Seaplane();
	Seaplane( int displ, int span) : Boat(displ), Airplane(span) {}; // a nice compiler warns that Airplane c'tor is called before Boat, because of class inheritance declarations
	virtual ~Seaplane();
	virtual void turnOnEngine();


};

#endif /* SEAPLANE_H_ */
