/*
 * Vehicle.h
 *
 *  Created on: 28-mar-2009
 *      Author: bertini
 */

#ifndef VEHICLE_H_
#define VEHICLE_H_

class Vehicle {
public:
	Vehicle();
	Vehicle(int engine) : engineDisplacement(engine) {};
	virtual ~Vehicle();
	virtual void turnOnEngine() = 0;

    int getEngineDisplacement() const
    {
        return engineDisplacement;
    }

    void setEngineDisplacement(int engineDisplacement)
    {
        this->engineDisplacement = engineDisplacement;
    }

private:
	int engineDisplacement;
};

#endif /* VEHICLE_H_ */
